601,100
562,"NULL"
586,
585,
564,
565,"l93f0>^TgUHjat`[R:VVdwP1ZwyAf_Y\btq9v89LNJuG151cAJjv4DGy?<:L4GF<TmQp>inv<BvmpO8q\Id>L55kcfs2<2v5lCPiHEP_W_@YqtKrnSf2lAkNsgBL6[^iGbljqQ@o?`Rl11vWsaL1Jcj?1[9DQ[slzx0SV9dw=TusV_nPDXH4L6uT;taZvo[WVCmFPM98"
593,
594,
595,
597,
598,
596,
800,
801,
566,0
567,","
588,"."
589,
568,""""
570,
571,
569,0
592,0
599,1000
560,1
pLanguage
561,1
2
590,1
pLanguage,""
637,1
pLanguage,Please specify the language name you want to add to Applix Workflow
577,0
578,0
579,0
580,0
581,0
582,0
572,47

#****Begin: Generated Statements***
#****End: Generated Statements****

# Loop through planning manager dimensions
vDimCount = DIMSIZ('}dimensions');
vDimIndex = 1;

while (vDimIndex <= vDimCount);
vDim = DIMNM('}dimensions', vDimIndex);

if (SUBST(vDim, 1, 4) @= '}sm_');

# Test to see if an attribute cube exists for the current dimension
vAttrDim = '}ElementAttributes_' | vDim;
vTest = TABDIM(vAttrDim,1);
if (vTest @<> '');

# Loop through all attributes in the dimension looking for attributes that have a matching language attribute
# _ENGLISH or _GERMAN or _FRENCH
vAttrCount = DIMSIZ(vAttrDim);
vAttrIndex = 1;
while (vAttrIndex <= vAttrCount);
vAttr = DIMNM(vAttrDim,  vAttrIndex);

vFromAttr = vAttr | '_' | 'English';
vFromExists = DIMIX(vAttrDim, vFromAttr);
if (vFromExists > 0);

vChineseAttr = vAttr | '_' | pLanguage;
ATTRINSERT(vDim, vFromAttr, vChineseAttr, 'A');

endif;

vAttrIndex = vAttrIndex + 1;
end;

endif;

endif;

vDimIndex = vDimIndex + 1;
end;

## add a element display_name_language into the dimension '}sm_control_attribute_measures
dim = '}sm_control_attribute_measures';
DimensionElementInsert(dim, 'display_name_English', 'display_name_' | pLanguage,'S');
573,3

#****Begin: Generated Statements***
#****End: Generated Statements****
574,3

#****Begin: Generated Statements***
#****End: Generated Statements****
575,3

#****Begin: Generated Statements***
#****End: Generated Statements****
576,CubeAction=1511	DataAction=1503	CubeLogChanges=0	
638,1
804,0
900,
901,
902,
903,
906,
907,
908,
904,0
905,0
909,0
910,0
911,
912,
913,
914,
915,
916,
